std::tr1::__is_union_or_class(3)

NAME
std::tr1::__is_union_or_class -

SYNOPSIS

Inherits integral_constant< bool, std::tr1::__is_union_or_class_helper< _Tp >::__value >.

Detailed Description

  template<typename _Tp> struct std::tr1::__is_union_or_class< _Tp >

Definition at line 255 of file type_traits.

  Public Types
typedef integral_constant< _Tp, __v > type
typedef _Tp value_type

  Static Public Attributes
static const _Tp value

Author

Generated automatically by Doxygen for libstdc++ from the source code.